Bug 382811 - gtk-window-decorator crash when enabling gl desktop
gtk-window-decorator crash when enabling gl desktop
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 11:40 EST by Andreas Sartori
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-12 09:13:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash log (197.49 KB, text/plain)
2007-11-14 11:40 EST, Andreas Sartori
no flags Details
Crash report (222.50 KB, text/plain)
2007-11-18 11:26 EST, Rogue
no flags Details
output from desktop-effects (767 bytes, text/plain)
2007-11-25 10:33 EST, Stephen Adler
no flags Details

  None (edit)
Description Andreas Sartori 2007-11-14 11:40:53 EST
Description of problem:
after loggin in  i start compiz-tray-icon. when enabling the gl desktop, the
gtk-window-decorator crashes.

when i start the compiz as root (logged in as user) everything works fine.

Version-Release number of selected component (if applicable):
compiz-gnome-0.6.2-3.fc8

How reproducible:

described above. i did an upgrade from fedora7. after upgrading i deleted all
gnome, gtk,.. related configuration.
Comment 1 Andreas Sartori 2007-11-14 11:40:53 EST
Created attachment 258371 [details]
crash log
Comment 2 Rogue 2007-11-18 11:26:32 EST
Created attachment 262971 [details]
Crash report

Not sure if this is related, but I just had an intermittent
gtk-window-decorator crash. Bug buddy captured some data which I am attaching
along with this report. Let me know if I need to open another bug for this
particular report.
Comment 3 Kristian Høgsberg 2007-11-19 12:23:01 EST
Could you try to install the compiz-debuginfo package and see if you can
reproduce the crash when running gtk-window-decorator under gdb?  Start as

  $ gdb gtk-window-decorator

and at the gdb prompt type

  (gdb) r --args

when it crashes, type 

  (gdb) bt full

to get the full back trace and attach that.

Thanks.
Comment 4 Stephen Adler 2007-11-25 10:33:26 EST
Created attachment 268241 [details]
output from desktop-effects
Comment 5 Stephen Adler 2007-11-25 10:34:09 EST
I'm having a similar problem, except the problem occures even if I try it as
root. What it comes down to is the desktop-effects command shows some kind of
error. Error log attached.
Comment 6 Stephen Adler 2007-11-25 10:38:53 EST
(In reply to comment #3)
> Could you try to install the compiz-debuginfo package and see if you can
> reproduce the crash when running gtk-window-decorator under gdb?  Start as
> 
>   $ gdb gtk-window-decorator
> 
> and at the gdb prompt type
> 
>   (gdb) r --args
> 
> when it crashes, type 
> 
>   (gdb) bt full
> 
> to get the full back trace and attach that.
> 
> Thanks.

I was going to try this on my system, but I can't seem to find compiz-debuginfo
package using the package manager gui.
Comment 7 Matěj Cepl 2008-01-31 11:22:26 EST
(In reply to comment #6)
> I was going to try this on my system, but I can't seem to find compiz-debuginfo
> package using the package manager gui.

You have to enable -debuginfo repository for the repository from which the
package comes from (e.g., updates-debuginfo for updates). Better?
Comment 8 Matěj Cepl 2008-03-03 15:54:22 EST
(In reply to comment #6)
> >   $ gdb gtk-window-decorator
> > 
> > and at the gdb prompt type
> > 
> >   (gdb) r --args
> > 
> > when it crashes, type 
> > 
> >   (gdb) bt full
> I was going to try this on my system, but I can't seem to find
> compiz-debuginfo package using the package manager gui.

Just to give you slightly more detailed information on how to do it (sorry, it
is mostly non-GUI oriented, because it is much more simple to describe things in
gnome-terminal/konsole/xterm than with describing the buttons in GUI interface).

The most simple thing to do is to install yum-utils package and then run this
command as root (run su - to become root):

debuginfo-install compiz

Then run compiz inside of gdb as described above:

gdb gtk-window-decorator
[ snip information lines in gdb]
(gdb) run <whatever arguments you would put after gtk-window-decorator on the
command line if run outside of gdb>
[wait until gtk-window-decorator crashes]
(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 9 Matěj Cepl 2008-04-10 05:52:40 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 10 Matěj Cepl 2008-06-12 09:13:23 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.